Submit a lead to a router using query parameters
curl --request GET \
--url https://app.leadconduit.com/routers/{router_id}/routeimport requests
url = "https://app.leadconduit.com/routers/{router_id}/route"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.leadconduit.com/routers/{router_id}/route', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcome": "success",
"reason": "lead.phone must have valid format",
"lead": {
"id": "5fd4371e940df5a34a3888b2"
},
"price": 20
}Routers
Submit a lead to a router using query parameters
An alternative to POST /routers/{router_id}/route for senders that cannot issue a
request body. The lead fields are read from the query string. Behavior, including
dry_run=true, is otherwise identical to the POST form.
GET
/
routers
/
{router_id}
/
route
Submit a lead to a router using query parameters
Path Parameters
The ID of the router 24 character alpha-numeric BSON identifier
Pattern:
^[0-9a-fA-F]{24}$Example:
"5fd4371e940df5a34a3888b2"
Query Parameters
When true, report the matching route and stop without submitting the lead.
Response
Returned only with dry_run=true. See the POST form.